SIGSETMASK(2)

NAME
sigsetmask - set current signal mask

SYNOPSIS
#include <signal.h>
sigsetmask(mask);
int mask;
mask = sigmask(signum)

DESCRIPTION
Sigsetmask sets the current signal mask (those signals that are blocked from delivery). Signals are blocked if the corresponding bit in mask is a 1; the macro sigmask is provided to construct the mask for a given signum.

The system quietly disallows SIGKILL, SIGSTOP, or SIGCONT to be blocked.

RETURN VALUE
The previous set of masked signals is returned.

SEE ALSO
kill(2), sigvec(2), sigblock(2), sigpause(2)